GlueGen: com.jogamp.common.net.UriQueryProps Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.net.UriQueryProps Class Reference

Helper class to process URI's query, handled as properties. More...

Collaboration diagram for com.jogamp.common.net.UriQueryProps:

## Public Member Functions

final Map< String, String > | getProperties ()
final char | getQuerySeparator ()
final Uri.Encoded | appendQuery (Uri.Encoded baseQuery)
final Uri | appendQuery (final Uri base) throws URISyntaxException

## Static Public Member Functions

static final UriQueryProps | create (final Uri uri, final char querySeparator) throws IllegalArgumentException

## Detailed Description

Helper class to process URI's query, handled as properties.

The order of the URI segments (any properties) are not preserved.

     URI: [scheme:][//authority][path][?query][#fragment]
     w/ authority: [user-info@]host[:port]
     Note: 'path' starts w/ fwd slash

<p<blockquote>‍

Since 2.3.0 renamed from `URIQueryProps` to `UriQueryProps`, and using `Uri` instead of `java.net.URI`.

Definition at line 51 of file UriQueryProps.java.

## Member Function Documentation

## ◆ appendQuery() [1/2]

final Uri com.jogamp.common.net.UriQueryProps.appendQuery | ( | final Uri | base | ) | throws URISyntaxException

Definition at line 93 of file UriQueryProps.java.

Here is the call graph for this function:

## ◆ appendQuery() [2/2]

final Uri.Encoded com.jogamp.common.net.UriQueryProps.appendQuery | ( | Uri.Encoded | baseQuery | ) |

Definition at line 66 of file UriQueryProps.java.

Here is the caller graph for this function:

## ◆ create()

static final UriQueryProps com.jogamp.common.net.UriQueryProps.create | ( | final Uri | uri,
|  | final char | querySeparator
| ) |  | throws IllegalArgumentException

static

Parameters

  uri |
  querySeparator | should be either ; or &, ; is encouraged due to troubles of escaping &.

Returns

Exceptions

  IllegalArgumentException | if `querySeparator` is illegal, i.e. neither ; nor &

Definition at line 104 of file UriQueryProps.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getProperties()

final Map< String, String > com.jogamp.common.net.UriQueryProps.getProperties | ( |  | ) |

Definition at line 63 of file UriQueryProps.java.

## ◆ getQuerySeparator()

final char com.jogamp.common.net.UriQueryProps.getQuerySeparator | ( |  | ) |

Definition at line 64 of file UriQueryProps.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/net/UriQueryProps.java